#pragma once

#include "opencv2/opencv.hpp"

#define LICENSE_ERROR 	0x01
#define ALGO_INIT_ERROR 0x02
using namespace cv;

//
typedef struct _s_face_info
{
	Rect	rect;
	float		score;
	float       fuzzy;  //Face fuzzy rate  threshold:700
	float       fangle; //Face direction rate threshold:3.0
        Point       fp[5];
}s_face_info;

#ifdef _cplusplus
extern "C"
{
#endif

int tdr_face_init(const char* modelpath);
int tdr_face_detect(Mat& img, std::vector<s_face_info>& face_info_ls, float faceDis = 0.25);

int tdr_face_init2(const char* modelpath);
int tdr_face_detect2(Mat& img, std::vector<s_face_info>& face_info_ls);
#ifdef _cplusplus
}
#endif

