#ifndef __TDR_VERIFY_H__
#define __TDR_VERIFY_H__
#include "tdrocr.h"

typedef enum CHECK_ITEM_MODE{
     CHECK_ITEM_BIRTHDAY=0,
     CHECK_ITEM_EXPIRED,
     CHECK_ITEM_SEX,
     CHECK_ITEM_NCODE,
     CHECK_ITEM_NCODE1,
     CHECK_ITEM_VISA_NO,
     CHECK_ITEM_ID,
     CHECK_ITEM_OPTION,
     CHECK_ITEM_ID_O0,
     CHECK_ITEM_CARDID,
     CHECK_ITEM_ADDID,
     CHECK_ITEM_ISSUE_COUNT,
    
}CHECK_ITEM_MODE;


bool verify(char * str);
bool verifyDate(char date[]);
bool verifyFamilyName(char ch);
int init_ncode_map();
bool verifyNCode(char ncode[], std::string &idx);
int recoveryNum(char * seleData, int len);
int recoveryChar(char * seleData, int len);
bool recoveryO0(char * seleData, int len);
bool checkBirthDate(char * result, int pos);
bool checkExpiredDate(char * result, int pos);
bool checkNCode(char * result, int pos);
bool checkNCode1(char * result, int pos);
bool checkSex(char * result, int pos);
bool checkSelectData(char * result, int pos);
bool checkSelectData2(char * result, int pos);
bool fixSelectData(char * result, int pos);
bool checkID(char * result, int pos, int len);
bool fixID(char * result, int pos);
bool checkFinal(PASSPORT_OCR_RESULT &result, int pos);
bool checkENameValid(char * result);
#endif
